[PATCH] Make linux-doc non-versioned, fixing 382115 and 247517

Matt Zimmerman mdz at canonical.com
Mon Jun 22 15:32:00 BST 2009


On Sun, Jun 21, 2009 at 02:56:26PM +0100, Matt Zimmerman wrote:
> Some possible ways to fix this:
> 
>  * Use the linux-meta scheme in both places (it's a native package anyway)
> 
>  * Upload the next linux-meta (which should drop linux-doc) and then try
>    again after the old linux-doc has been removed (may need manual
>    intervention)
> 
>  * Artificially and temporarily inflate the version number on linux-doc only
>    (and let the problem solve itself with 2.6.31)

As a fourth option, Steve Langasek suggested reverting the change, and
putting it in with the first upload of .31 (when the linux source package
version will exceed the current linux-meta source version).

This seems like it would work fine, too, so long as it's done in the right
order:

1. Upload patched linux-meta to remove linux-doc (but don't bump ABI)

2. Upload new linux to rename linux-doc-x.y.z to linux-doc (and bump ABI)

3. Upload linux-meta (and bump ABI)

Make sense?

-- 
 - mdz



More information about the kernel-team mailing list